# Change Log
All notable changes to the Heap library will be documented in this file.

The format is based on [Keep a Changelog][cl] and this project adheres to
[Semantic Versioning][sv].

[cl]: http://keepachangelog.com/
[sv]: http://semver.org/


## [0.7.0] - 2018-05-11
### Added
- Include gradle tasks to print individual licenses used by library. For a list 
of tasks, run `./gradlew tasks` and refer to the "Heap tasks" section. 
- Include this changelog in the released JAR files
- Support Linux build environments 
### Fixed
- Properly fail build if instrumentation fails 
- Fix an issue where dexes numbered above 99 were not included in the 
instrumented APK 
- Fix issue with 400 response codes from track endpoint

## [0.6.0] - 2018-03-26
### Changed
- Heap plugin now immediately aborts with clear exception message on non-macOS 
platforms 
### Removed
- `Heap.setEnvId` and `Heap.setInterval` methods 
### Fixed
- Fix typo in Heap Build Log Warning message about enabling Heap (comma should 
have been a colon).
- Fix bug that prevented apps from building in Android Studio 3 when Instant 
Run was enabled.

## [0.5.2] - 2018-03-08
### Fixed
- Fix BuildConfig error that occurs in Gradle versions 4.1 and higher by 
removing resource value injection out of variant prebuild doFirst action block 
and into general afterEvaluate block of HeapPlugin.apply method 
- Fix add user properties 
- Fix socket resource StrictMode violation 

## [0.5.1] - 2018-03-01
### Added
- Debug information on BuildConfig error 

## [0.5.0] - 2018-02-13
### Added
- Capture Android toggle switches 
- Capture Android radio buttons 

### Fixed
- Fix uncaught exceptions 
